Minimum requirements

Following are the minimum requirements for Pearson English 3-6.

Online (browser)

Either:

  • Chrome (latest version): www.google.com/chrome
  • Safari 9 or higher. Available on Mac OS 10.9.5 and higher.
  • Internet Explorer 11 or higher. Available on Windows 7 or higher.
  • Edge (latest version). Available on Windows 10.
  • Firefox (latest version):www.mozilla.org/en-US/firefox/new/

With:
Flash Player plugin (latest version): http://get.adobe.com/flashplayer/
For Chrome users: Flash Player is built in. There is no need for a plugin.

iPad

iOS9 or higher
The Primary eBook app: https://itunes.apple.com/au/app/id798521278